#!/usr/bin/env python

import coral

prj = coral.Project()
prj.setFilename("coral/lang/ecore10/def/ecore_model.xmi")
prj.setXMIFormat("2.0")

ECORE = coral.lang.ecore10

p = ECORE.EPackage()
p.name = "DummyNameForEcoreModel"
p.__setProject__(prj)

for i in ["EBoolean",
          "EByte",
          "EChar",
          "EDouble",
          "EFloat",
          "EInt",
          "ELong",
          "EShort",
          "EString"]:
    e = ECORE.EDataType()
    e.name = i
    e.serializable = "true"
    p.eClassifiers.add(e)

coral.saveDocument(prj)
